Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.submit.transports.http
Class PostResponseDataSource

    java.lang.Object
      com.eviware.soapui.impl.wsdl.submit.transports.http.PostResponseDataSource

All Implemented Interfaces:
  javax.activation.DataSource

    public class PostResponseDataSource

extends java.lang.Object
implements javax.activation.DataSource

DataSource for a standard POST response

Author:
  ole.matzura

Constructor Summary
`PostResponseDataSource(TimeablePostMethod postMethod)`

Method Summary
`java.lang.String` | `getContentType()`
`long` | `getDataSize()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.io.OutputStream` | `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostResponseDataSource

    public PostResponseDataSource(TimeablePostMethod postMethod)

Method Detail

### getDataSize

    public long getDataSize()

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.